Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model.instance
Class InstancePermission

    java.lang.Object
      java.security.Permission
          org.jboss.portal.security.PortalPermission
              org.jboss.portal.core.model.instance.InstancePermission

All Implemented Interfaces:
  java.io.Serializable, java.security.Guard

    public final class InstancePermission

extends PortalPermission

The permission for instance.

Version:
  $Revision: 8786 $
Author:
  Anil Saldhana
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ADMIN_ACTION` The customize action name.
`static int` | `ADMIN_MASK` .
`static java.lang.String` | `CREATE_ACTION` The create action name.
`static int` | `CREATE_MASK` .
`static java.lang.String` | `CUSTOMIZE_ACTION` The customize action name.
`static int` | `CUSTOMIZE_MASK` .
`static java.lang.String` | `DESTROY_ACTION` The destroy action name.
`static int` | `DESTROY_MASK` .
`static java.lang.String` | `PERMISSION_TYPE` .
`static java.lang.String` | `VIEW_ACTION` The view action name.
`static int` | `VIEW_MASK` .

Fields inherited from class org.jboss.portal.security.PortalPermission
`collection, uri`

Constructor Summary
`InstancePermission(PortalPermissionCollection collection)`
`InstancePermission(java.lang.String uri, java.util.Collection actions)`
`InstancePermission(java.lang.String uri, int mask)`
`InstancePermission(java.lang.String uri, java.lang.String actions)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getActions()`
`java.lang.String` | `getType()` Return the portal permission type.
`int` | `hashCode()`
`boolean` | `implies(java.security.Permission permission)`
`boolean` | `implies(PermissionRepository repository, javax.security.auth.Subject caller, java.lang.String roleName, PortalPermission permission)` Implement the imply logic when we check the permission against a domain.

Methods inherited from class org.jboss.portal.security.PortalPermission
`getURI, isContainer, newPermissionCollection`

Methods inherited from class java.security.Permission
`checkGuard, getName, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### VIEW_ACTION

    public static final java.lang.String VIEW_ACTION

  The view action name.

  See Also:
    Constant Field Values

### CREATE_ACTION

    public static final java.lang.String CREATE_ACTION

  The create action name.

  See Also:
    Constant Field Values

### DESTROY_ACTION

    public static final java.lang.String DESTROY_ACTION

  The destroy action name.

  See Also:
    Constant Field Values

### CUSTOMIZE_ACTION

    public static final java.lang.String CUSTOMIZE_ACTION

  The customize action name.

  See Also:
    Constant Field Values

### ADMIN_ACTION

    public static final java.lang.String ADMIN_ACTION

  The customize action name.

  See Also:
    Constant Field Values

### VIEW_MASK

    public static final int VIEW_MASK

  .

  See Also:
    Constant Field Values

### CREATE_MASK

    public static final int CREATE_MASK

  .

  See Also:
    Constant Field Values

### DESTROY_MASK

    public static final int DESTROY_MASK

  .

  See Also:
    Constant Field Values

### CUSTOMIZE_MASK

    public static final int CUSTOMIZE_MASK

  .

  See Also:
    Constant Field Values

### ADMIN_MASK

    public static final int ADMIN_MASK

  .

  See Also:
    Constant Field Values

### PERMISSION_TYPE

    public static final java.lang.String PERMISSION_TYPE

  .

  See Also:
    Constant Field Values

Constructor Detail

### InstancePermission

    public InstancePermission(PortalPermissionCollection collection)

### InstancePermission

    public InstancePermission(java.lang.String uri,
                              java.util.Collection actions)

### InstancePermission

    public InstancePermission(java.lang.String uri,
                              int mask)

### InstancePermission

    public InstancePermission(java.lang.String uri,
                              java.lang.String actions)

Method Detail

### implies

    public boolean implies(PermissionRepository repository,
                           javax.security.auth.Subject caller,
                           java.lang.String roleName,
                           PortalPermission permission)
                    throws PortalSecurityException

  Description copied from class: `PortalPermission`
  Implement the imply logic when we check the permission against a domain.

  Specified by:
    `implies` in class `PortalPermission`
  Returns:
    true if the permission is implied
  Throws:
    `PortalSecurityException`

### implies

    public boolean implies(java.security.Permission permission)

  Specified by:
    `implies` in class `java.security.Permission`

### equals

    public boolean equals(java.lang.Object obj)

  Specified by:
    `equals` in class `java.security.Permission`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `java.security.Permission`

### getActions

    public java.lang.String getActions()

  Specified by:
    `getActions` in class `java.security.Permission`

### getType

    public java.lang.String getType()

  Description copied from class: `PortalPermission`
  Return the portal permission type.

  Specified by:
    `getType` in class `PortalPermission`
  Returns:
    the portal permission type

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD